Vertenz
@Vertenz
Мечтетель

Npm install завершается «Killed». В чем может быть проблема?

Доброго времени. Сломал голову совсем.
Все работало, потребовалось заново на сервер залить весь сайт, удалил полностью папку, залил заново, запускаю npm install, и все зависает.
После введения npm install выдает ошибку.
Проект на nuxt, ниже будет конфиг пакета. На локальном все работает, на VPS выдает ошибку. node_modules удалял, package-lock удалял. И через clean-install пытался, и через --force. Удалял полностью всю папку и заливал снова, все равно одно и тоже.
node версия одинаковая на машинах 14.17.0, npm тоже одинаковые 7.14.0.
package.json:
{
  "name": "",
  "version": "1.1.0",
  "private": true,
  "scripts": {
    "dev": "nuxt",
    "build": "nuxt build",
    "start": "nuxt start",
    "generate": "nuxt generate",
    "lint:js": "eslint --ext \".js,.vue\" --ignore-path .gitignore .",
    "lint:style": "stylelint \"**/*.{vue,css}\" --ignore-path .gitignore",
    "lint": "npm run lint:js && npm run lint:style"
  },
  "lint-staged": {
    "*.{js,vue}": "eslint",
    "*.{css,vue}": "stylelint"
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-commit": "lint-staged"
    }
  },
  "dependencies": {
    "@nuxtjs/axios": "^5.13.1",
    "@nuxtjs/pwa": "^3.3.5",
    "@nuxtjs/robots": "^2.5.0",
    "core-js": "^3.9.1",
    "nuxt": "^2.2.0",
    "vuelidate": "^0.7.6"
  },
  "devDependencies": {
    "@commitlint/cli": "^12.0.1",
    "@commitlint/config-conventional": "^12.0.1",
    "@mdi/font": "^5.9.55",
    "@nuxtjs/eslint-config": "^6.0.0",
    "@nuxtjs/eslint-module": "^3.0.2",
    "@nuxtjs/stylelint-module": "^3.2.2",
    "@nuxtjs/vuetify": "^1.11.3",
    "babel-eslint": "^10.1.0",
    "eslint": "^7.22.0",
    "eslint-config-prettier": "^8.1.0",
    "eslint-plugin-nuxt": "^2.0.0",
    "eslint-plugin-prettier": "^3.3.1",
    "eslint-plugin-vue": "^7.7.0",
    "fibers": "^5.0.0",
    "husky": "^4.3.8",
    "lint-staged": "^10.5.4",
    "prettier": "^2.2.1",
    "pug": "^3.0.2",
    "pug-plain-loader": "^1.1.0",
    "sass": "^1.34.0",
    "sass-loader": "^10.2.0",
    "stylelint": "^9.3.0",
    "stylelint-config-prettier": "^7.0.0",
    "stylelint-config-standard": "^18.3.0"
  }
}


Просто заканчивается на Killed .........] \ reify:fsevents: timing reifyNode:node_modules/watchpack/node_modules/watchpack-chokidar2/node_modules/fsevents Completed in 776ms


60c684328785b164871142.png
  • Вопрос задан
  • 62 просмотра
Решения вопроса 1
Vertenz
@Vertenz Автор вопроса
Мечтетель
Спасибо стаку 38127667/npm-install-ends-with-killed :)
Проблема в нехватке памяти. Решилось все добавлением файла подкачки на 1гб. Делал через fallocate, так как не знал, точно ли в этом проблема.
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы